package xamora.gp_dbc;

import cpw.mods.fml.common.SidedProxy;
import cpw.mods.fml.common.event.*;
import cpw.mods.fml.common.Mod;
import cpw.mods.fml.common.Mod.EventHandler;
import xamora.gp_dbc.commands.CommandGP;
import xamora.gp_dbc.config.ConfigManager;
import xamora.gp_dbc.items.ItemsGP;
import xamora.gp_dbc.proxy.CommonProxy;
import xamora.gp_dbc.system.GalacticPatrol;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.Item;

@Mod(modid = Main.MODID, version = Main.VERSION, guiFactory = "xamora.gp_dbc.config.GuiFactoryConfig", canBeDeactivated = true)
public class Main
{

    @Mod.Instance(Main.MODID)
    public static Main main = new Main();

    @SidedProxy(clientSide = "xamora.gp_dbc.proxy.ClientProxy", serverSide = "xamora.gp_dbc.proxy.ServerProxy")
    public static CommonProxy proxy;

    public static GalacticPatrol gp = new GalacticPatrol();

    public static final String MODID = "gp_dbc";
    public static final String VERSION = "0.0.1";

    @EventHandler
    public void preInit(FMLPreInitializationEvent e) {
        proxy.preInit(e);
    }

    @EventHandler
    public void init(FMLInitializationEvent e) {
        proxy.init(e);
        proxy.registerRender();
        ItemsGP.init();
    }

    @EventHandler
    public void postInit(FMLPostInitializationEvent e) {
        proxy.postInit(e);

    }

    @EventHandler
    public void serverStarting(FMLServerStartingEvent e) {
        e.registerServerCommand(new CommandGP());

        ConfigManager.setExitJail();
    }

    @EventHandler
    public void serverStopping(FMLServerStoppingEvent e) {

    }

    public static CreativeTabs tabGP = new CreativeTabs("tabGP"){
        @Override
        public Item getTabIconItem() {
            return ItemsGP.jail_manager;
        }
    };
}
