package xamora.gp_dbc.network.client;

import cpw.mods.fml.common.network.ByteBufUtils;
import cpw.mods.fml.common.network.simpleimpl.IMessage;
import cpw.mods.fml.common.network.simpleimpl.IMessageHandler;
import cpw.mods.fml.common.network.simpleimpl.MessageContext;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;
import xamora.gp_dbc.gui.GuiHandcuffed;
import xamora.gp_dbc.render.RenderHandcuffIcon;
import xamora.gp_dbc.system.Handcuffed;
import io.netty.buffer.ByteBuf;

import java.util.UUID;

public class NetworkHandcuffedC implements IMessage {

    private String toSend;

    public NetworkHandcuffedC() {
    }

    public NetworkHandcuffedC(String toSend) {
        this.toSend = toSend;
    }

    @Override
    public void toBytes(ByteBuf buf) {
        ByteBufUtils.writeUTF8String(buf, toSend);
    }

    @Override
    public void fromBytes(ByteBuf buf) {
        toSend = ByteBufUtils.readUTF8String(buf);
    }

    public static class MyMessageHandlerC implements
            IMessageHandler<NetworkHandcuffedC, IMessage> {

        @SideOnly(Side.CLIENT)
        @Override
        public IMessage onMessage(NetworkHandcuffedC message,
                                  MessageContext ctx) {

            String[] split = message.toSend.split("~");
            String key = split[0];

            if (key.equals("start")) {
                try {
                    GuiHandcuffed.startTime = Long.parseLong(split[1]);
                    Handcuffed.timeToWait = Long.parseLong(split[2]);
                } catch (Exception e) {
                }

                GuiHandcuffed.handcuffed = true;
            }
            else if (key.equals("end"))
                GuiHandcuffed.handcuffed = false;
            else if (key.equals("delete")) {
                RenderHandcuffIcon.playerAroundHandcuffed.remove(UUID.fromString(split[1]));
            }
            else if (key.equals("update")) {
                try {
                    RenderHandcuffIcon.playerAroundHandcuffed.put(UUID.fromString(split[1]), Long.parseLong(split[2]));
                    Handcuffed.timeToWait = Long.parseLong(split[3]);

                    RenderHandcuffIcon.playerAroundUnhandcuffing.put(UUID.fromString(split[1]), Boolean.parseBoolean(split[4]));
                } catch (Exception e) {
                    System.out.println(e);
                }
            }

            return null;
        }
    }
}
