package xamora.gp_dbc.utils;

public class Pos {

    public int x;
    public int y;
    public int z;
    public int dimension;
    public String dimension_name;

    public Pos (int x, int y, int z) {
        this(x, y , z, 0);
    }

    public Pos (int x, int y, int z, int dimension) {
        this(x, y , z, dimension, null);
    }

    public Pos (int x, int y, int z, int dimension, String dimension_name) {
        this.x = x;
        this.y = y;
        this.z = z;
        this.dimension = dimension;
        this.dimension_name = dimension_name;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;

        if (!(obj instanceof Pos))
            return false;

        Pos objPos = (Pos)obj;
        return objPos.x == x && objPos.y == y && objPos.z == z && objPos.dimension == dimension;
    }

    @Override
    public String toString() {
        if (dimension_name == null) 
            return x + "@" + y + "@" + z + "@" + dimension;
        else
            return x + "@" + y + "@" + z + "@" + dimension + "@" + dimension_name;
    }

}
